tinymce.PluginManager.add('dlgmailto', function(editor, url) {
	function dialog(){
		editor.windowManager.open({
			title: 'Insert MailTo Link',
			body: [
				{type: 'textbox', name: 'name', label: 'Text to display'},
				{type: 'textbox', name: 'mail', label: 'E-mail address'}
			],
			onsubmit: function(e) {
				editor.execCommand("mceInsertContent", false, '<img alt="MailTo(' + e.data.mail + (e.data.name ? ',' + e.data.name : "") + ')" name="MailTo" src="' + editor.settings.plugin_mailto.plugin_img + '" title="MailTo" border="3" style="border-style:outset;">');
			}
		});
	}
	editor.addButton('e_dlgmailto', {
		image: editor.settings.plugin_mailto.img,
		tooltip: 'Insert MailTo Link',
		onclick: dialog
	});
	editor.addMenuItem('e_mailto',{
		text: 'Insert MailTo Link',
		image: editor.settings.plugin_mailto.img,
		context: 'mailto',
		onclick: dialog
	});
});
