tinymce.PluginManager.add('widget', function(editor, url) {
	var w = editor.settings,wl = [];
	if ("widget" in w){
		for (var widget in w.widget){
			wl.push({text : widget, onclick : function(e){editor.execCommand('mceInsertContent',false,w.widget[e.control._text]);}});
		}
		wl.sort(function(a,b){
			return (a.text.toUpperCase() < b.text.toUpperCase()) ? -1 : (a.text.toUpperCase() > b.text.toUpperCase()) ? 1 : 0;
		});
		editor.addMenuItem('e_widget',{
			text: 'Widget',
			context : 'format',
			menu : wl
		});
	}
});
